
Infrastructure - Task #2669

Story # 2661 (Closed): handling complicated identity-equivalencies for authorization

Task # 2665 (Closed): Authorization consistency between language implementations

create java tool for returning isAuthorized given AccessPolicy and list of Subjects

2012-04-30 18:54 - Rob Nahf

Status: Closed Start date: 2012-04-30

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Should return the highest level of authorization for the given list.

Specifically needs to NOT consider the fuller picture of rightsHolder that would be in a typical isAuthorized request.

Easiest approach is to wrap and adapt the AuthUtils.isAuthorized(Subject[], Permission, SystemMetadata) method

to get the desired output.

History

#1 - 2012-04-30 20:15 - Rob Nahf

- Status changed from New to In Progress

creating d1_authorization_tools project.  creates a command-line tool with two modes - one for each tool.

#2 - 2012-05-01 18:04 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

completed build of d1_authorization_tools project / product that compares a SubjectList against an AccessPolicy and returns the maximum

Permission for the SubjectList.

#3 - 2012-10-03 15:40 - Chris Jones

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4
